Package ru.bitel.bgbilling.modules.inet.common.bean

# Class InetDeviceType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.oss.systems.inventory.resource.common.bean.DeviceType
ru.bitel.bgbilling.modules.inet.common.bean.InetDeviceType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class InetDeviceType extends DeviceType

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.systems.inventory.resource.common.bean.DeviceType

  `MGMT_TYPE_BGRADIUS, MGMT_TYPE_OTHER, MGMT_TYPE_SNMP, MGMT_TYPE_SSH, MGMT_TYPE_TELNET`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetDeviceType()`
  `InetDeviceType(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConfigId()`
  `DeviceType`
  `getDeviceType()`
  `List<InetInterface>`
  `getInterfaceList()`
  `int`
  `getScriptId()`
  `boolean`
  `isUniqueInterfaces()`
  `void`
  `setConfigId(int configId)`
  `void`
  `setDeviceType(DeviceType deviceType)`
  `void`
  `setInterfaceList(List<InetInterface> ifaceList)`
  `void`
  `setScriptId(int scriptId)`
  `void`
  `setUniqueInterfaces(boolean uniqueInterfaces)`

  ### Methods inherited from class ru.bitel.oss.systems.inventory.resource.common.bean.DeviceType

  `getActiveConfigId, getComment, getConfig, getDeviceEntitySpecId, getDeviceManagerClass, getManagmentType, getProtocolHandlerClass, getSaHandlerClass, getServiceActivationType, isSource, setActiveConfigId, setComment, setConfig, setDeviceEntitySpecId, setDeviceManagerClass, setManagmentType, setProtocolHandlerClass, setSaHandlerClass, setServiceActivationType, setSource`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### InetDeviceType

    public InetDeviceType()

  - ### InetDeviceType

    public InetDeviceType(int id, String title)

- ## Method Details

  - ### getDeviceType

    public DeviceType getDeviceType()

  - ### setDeviceType

    public void setDeviceType(DeviceType deviceType)

  - ### getConfigId

    public int getConfigId()

  - ### setConfigId

    public void setConfigId(int configId)

  - ### getScriptId

    public int getScriptId()

  - ### setScriptId

    public void setScriptId(int scriptId)

  - ### isUniqueInterfaces

    public boolean isUniqueInterfaces()

  - ### setUniqueInterfaces

    public void setUniqueInterfaces(boolean uniqueInterfaces)

  - ### getInterfaceList

    public List<InetInterface> getInterfaceList()

  - ### setInterfaceList

    public void setInterfaceList(List<InetInterface> ifaceList)